# DescribeOriginStatusCode

## 1. API Description

This interface (DescribeOriginStatusCode) is used to query CDN origin status codes.

## 2. Request Parameters

The following request parameter list includes only those required by the interface:

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                         |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startTime      | Yes      | String | The beginning of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:00:00Z.                                                 |
| endTime        | Yes      | String | The end of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:10:00Z. Note: The end time must be later than the start time. |
| domain         | No       | String | domain, use commas(,) to separate multiple domain names. By default, all acceleration domains will be queried.                                                                                                                      |

## 3. Output Parameters

| Parameter Name | Type                                                                                     | Description                                                                         |
| -------------- | ---------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| dataSet        | Array of [StatusCodeData](/api-reference/networking/cdn/datastructure.md#statuscodedata) | Collection of status codes.                                                         |
| requestId      | String                                                                                   | Unique request ID returned with each request. Provide this ID when locating issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query CDN origin status codes.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeOriginStatusCode
<Common Request Params>

Request:
{
    "startTime": "2024-08-22T00:00:00Z",
    "endTime": "2024-08-22T00:05:00Z"
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "dataSet": [{
      "data": [{
        "detail": [{
          "code": "200",
          "count": 286
          }, {
          "code": "404",
          "count": 1
        }],
        "time": "2024-08-22T00:00:00Z"
      }],
      "domain": "*"
    }]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describeoriginstatuscode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
